import model
from client_controller import _my_tabulate

model.connect()
model.cursor.execute('''
        EXPLAIN QUERY PLAN
                UPDATE orders
                SET stop_loss = NULL,
                    "limit" = NULL
                WHERE stop_loss IS NOT NULL
                AND stop_loss
                AND ? IN (SELECT ownable_id FROM ownership WHERE rowid = ownership_id)
                AND ((buy AND "limit" < ?) OR (NOT buy AND "limit" > ?))
        '''.replace('?', '1'))

# model.cursor.execute('''
#             SELECT 2
#             UNION ALL
#             SELECT * FROM (
#                 WITH RECURSIVE ones(x) AS (VALUES(1) UNION ALL SELECT * FROM ones)
#                 SELECT x FROM ones)
#             LIMIT 1
#          '''.replace('?','1'))

# model.cursor.execute('''SELECT CASE CAST(1+(0.5 - RANDOM() / CAST(-9223372036854775808 AS REAL) / 2)*3 AS INTEGER)
#   WHEN 1 THEN 'one'
#   WHEN 2 THEN 'two'
#   WHEN 3 THEN 'three'
# END
#   FROM (VALUES (1),(1),(1),(1),(1),(1),(1),(1),(1),(1),(1),(1),(1),(1),(1)) v
#          '''.replace('?','1'))

# model.cursor.execute('''
# SELECT *
#   FROM (SELECT RANDOM() / CAST(-9223372036854775808 AS REAL) / 2) r, (VALUES (1),(1),(1),(1),(1),(1),(1),(1),(1),(1),(1),(1),(1),(1),(1)) v
#          '''.replace('?','1'))

print(_my_tabulate(model.cursor.fetchall(), tablefmt='pipe'))
